GDB (xrefs)

Public Attributes | List of all members
int_elf32_dsbt_loadseg Struct Reference

## Public Attributes
CORE_ADDR | addr
CORE_ADDR | p_vaddr
long | p_memsz

## Detailed Description

Definition at line 77 of file solib-dsbt.c.

## Member Data Documentation

## ◆ addr

CORE_ADDR int_elf32_dsbt_loadseg::addr

Definition at line 80 of file solib-dsbt.c.

Referenced by decode_loadmap(), displacement_from_map(), dsbt_print_loadmap(), dsbt_relocate_main_executable(), dsbt_relocate_section_addresses(), and fetch_loadmap().

## ◆ p_memsz

long int_elf32_dsbt_loadseg::p_memsz

Definition at line 84 of file solib-dsbt.c.

Referenced by decode_loadmap(), displacement_from_map(), dsbt_print_loadmap(), dsbt_relocate_main_executable(), and fetch_loadmap().

## ◆ p_vaddr

CORE_ADDR int_elf32_dsbt_loadseg::p_vaddr

Definition at line 82 of file solib-dsbt.c.

Referenced by decode_loadmap(), displacement_from_map(), dsbt_print_loadmap(), dsbt_relocate_main_executable(), and fetch_loadmap().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/solib-dsbt.c